/*
    CSS codes and modifications to take precedence ovr template coding
    For example, a drop down menu section was added for the nav that wasn't present in the original template
    All modifications and additions originally completed by EEH January 2026
    Last Updated: 260105 Edie Harvey
*/

/* ------------------------------------------------------------ */
/* Applies to all versions of the page: desktop, tablet, mobile */
/* ------------------------------------------------------------ */

/* Class used in places where centering the text is preferred within another tag or area */
.centertext {
    text-align: center;
}
/* CLass to center images */
.imgcenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}


/* Creates a horizontal rule <hr> tag with a dashed line instead of solid */
.hr-dashed {
    /* Removes the natural default borders for left, right, bottom that an hr tag creates as a 3D "border" to make the line */
    border: none; 
    /* Makes hr a 4px tall dashed line in the color of black
       NOTE: if a border-bottom was also used, it would create a separate line
       It would either combine with the top or go underneath the first one depending on border type
    */
    border-top: 4px dashed #000000;
    /* Sets the "line height" to 0 so the size of the line is set only by the border properties */
    height: 0px;
}

/* Creates a horizontal rule <hr> tag with a solid line set with specific values */
.hr-solid {
    /* Removes the natural default borders for left, right, bottom that an hr tag creates as a 3D "border" to make the line */
    border: none; 
    /* Makes hr a 4px tall solid line in the color of black
       NOTE: if a border-bottom was also used, it would create a separate line
       It would either combine with the top or go underneath the first one depending on border type
    */
    border-top: 4px solid #000000;
    /* Sets the "line height" to 0 so the size of the line is set only by the border properties */
    height: 0px;
    padding-bottom: 5px; /* 5px padding underneath hr tag before next area */
}

/* Course Reports list element tag adjustments */
/* Affects class link-list within the id content */
#content .link-list li {
    list-style-type: decimal;
    border-bottom: solid 1px #e2e6e8;
    padding-top: 10px;
    padding-bottom: 10px;
}
#content .link-list2 li {
    list-style-type: square;
}

/* Course Report Colors For Easier Reading */
/* class reports within the id content */
#content .reports {
    color: #000000; /* black */

}
/* h3 tags within class reports within the id content */
#content .reports h3 {
    color: #000099; /* dark blue */
}
/* h2 tags within class reports within the id content */
#content .reports h2 {
    color: #000099; /* dark blue */
    text-align: center;
}
/* New class reportsindex to stylize the text on the index page for a certificate */
#content .reportsindex {
    color: #000000; /* black */

}



/* Dropdown Menu Class */
